%global akonadi_version_min 1.5.80
%global akonadi_version %(pkg-config --modversion akonadi 2>/dev/null || echo %{akonadi_version_min})

Name:    kdepim-runtime
Summary: KDE PIM Runtime Environment
Epoch:   1
Version: 4.7.2
Release: 5%{?dist}.1

License: GPLv2
Group: Applications/Productivity
URL: http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdepim-runtime-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# show the Akonadi KCM in System Settings (#565420)
Patch0: kdepim-runtime-4.4.93-show_akonadi_kcm.patch

# disable nepomuk/strigi notification spam 
Patch1: kdepim-runtime-4.7.2-nepomuk_notification.patch

## upstreamable patches
# Enable SQLite support in akonadi
Patch50: kdepim-runtime-4.7.1-sqlite-support.patch

## upstream patches
# http://bugs.kde.org/283467
Patch100: kdepim-runtime-4.7.2-kde283467.patch
# http://bugs.kde.org/283364
Patch101: kdepim-runtime-4.7.2-kde283364.patch

Provides: kdepim4-runtime = %{version}-%{release}

Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdepimlibs-devel >= %{version} 
BuildRequires: pkgconfig(akonadi) >= %{akonadi_version_min}
BuildRequires: pkgconfig(libxslt) pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: pkgconfig(soprano)
BuildRequires: pkgconfig(zlib)

%description
%{summary}

%package libs
Summary: %{name} runtime libraries
Group: System Environment/Libraries
## these may be overkill -- Rex
#Provides: kdepim4-runtime-libs = %{version}-%{release}
#Provides: kdepim4-runtime-libs%{?_isa} = %{version}-%{release}
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: akonadi%{?_isa} >= %{akonadi_version}
%{?_kde4_version:Requires: kdepimlibs-akonadi%{?_isa} >= %{_kde4_version}}
%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Provides: kdepim4-runtime-devel = %{version}-%{release}
Provides: kdepim4-runtime-devel%{?_isa} = %{version}-%{release}
Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: kdepimlibs-devel
%description devel
%{summary}.
Install %{name}-devel if you want to write or compile %{name} plugins.


%prep
%setup -q -n kdepim-runtime-%{version}%{?pre}

%patch0 -p1 -b .show_akonadi_kcm
%patch1 -p1 -b .nepomuk_notification
%patch50 -p1 -b .sqlite-support
%patch100 -p1 -b .kde283467


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
   desktop-file-validate $f
done


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
  update-mime-database %{_kde4_datadir}/mime &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/imports/*
%{_kde4_datadir}/akonadi/agents/*
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_datadir}/autostart/kaddressbookmigrator.desktop
%{_kde4_datadir}/config/*rc
%{_kde4_datadir}/dbus-1/interfaces/*.xml
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/*.protocol
%{_kde4_datadir}/kde4/services/akonadi/davgroupware-providers/
%{_kde4_datadir}/kde4/services/kresources/kabc/*.desktop
%{_kde4_datadir}/kde4/services/kresources/kcal/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_datadir}/mime/packages/*.xml
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/akonadi/
%{_kde4_appsdir}/akonadi_knut_resource/
%{_kde4_appsdir}/akonadi_maildispatcher_agent/

%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*


%changelog
* Sat Oct 15 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.7.2-5.1
- rebuild against known working Qt headers for F16 final

* Thu Oct 13 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-5
- sqlite-support.patch, s/QSQLITE/QSQLITE3/

* Thu Oct 13 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-4
- disable akonadi nepomuk/strigi notification spam

* Wed Oct 12 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-3
- akonadi_maildispatcher_agent crashes when sending email (kde#283364)

* Sat Oct 08 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-2
- Kmail has duplicated folders after migration from previous version (kde#283467)

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Wed Sep 21 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.7.1-4
- pkgconfig-style deps

* Wed Sep 21 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.7.1-3
- upstream Ignore-items-with-empty-remote-ids-here patch 

* Tue Sep 20 2011 Radek Novacek <rnovacek@redhat.com> 1:4.7.1-2
- Enable SQLite support in akonadi

* Fri Sep 02 2011 Than Ngo <than@redhat.com> - 1:4.7.1-1
- 4.7.1

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 1:4.7.0-1
- 4.7.0

* Mon Jul 11 2011 Jaroslav Reznik <jreznik@redhat.com> 1:4.6.95-1
- 4.6.95 (rc2)

* Thu Jun 30 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.6.90-1
- 4.6.90

* Fri Jun 10 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.6.0-1
- 4.6.0

* Fri May 13 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.5.96-1
- 4.5.96 (4.6rc1)

* Thu Apr 14 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.5.95-1
- 4.5.95 (4.6beta5)

* Thu Feb 24 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.5.94.1-6
- include translations
- Provides: kde-l10n-kdepim-runtime 

* Fri Feb 11 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.5.94.1-5
- fix Epoch-related broken deps

* Thu Feb 10 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.5.94.1-4
- Epoch++
- Provides: kdepim4-runtime(-devel)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.94.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 12 2011 Rex Dieter <rdieter@fedoraproject.org> 4.5.94.1-2
- omit translations (conflicts with kde-l10n-4.5.95)

* Tue Jan 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.5.94.1-1
- 4.5.94.1 (4.6beta4)

* Thu Dec 23 2010 Rex Dieter <rdieter@fedoraproject.org> 4.5.93-1
- 4.5.93 (4.6beta3)

* Sat Dec 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.5.85-1
- 4.5.85 (4.6beta2)

* Wed Nov 24 2010 Rex Dieter <rdieter@fedoraproject.org> -  4.5.80-3
- 4.5.80 (4.6beta1)

* Fri Nov 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.93-3
- rebuild for new libxml2

* Wed Sep 08 2010 Rex Dieter <rdieter@fedoraproject.org> 4.4.93-2
- Akonadi Configuration shows in systemsettings->lost and found (#628379)
- Requires: kdebase-runtime

* Tue Aug 31 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.93-1
- 4.4.93 (4.5 beta3)

* Wed Aug 01 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.92-1
- 4.4.92 (4.5 beta2)

* Fri Jul 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5-0.1.beta1
- 4.5-beta1

* Tue Jun 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.5-1
- 4.4.5

* Sun May 30 2010 Than Ngo <than@redhat.com> - 4.4.4-1
- 4.4.4

* Tue May 04 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.4.3-1.1
- rebuild against correct tag

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.3-1
- 4.4.3

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.4.2-1
- 4.4.2

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.1-1
- 4.4.1

* Mon Feb 15 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.0-4
- show the Akonadi KCM in System Settings (#565420)

* Mon Feb 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.0-3
- Random akonadi_imap_resource crash (kde#220384)

* Tue Feb 09 2010 Rex Dieter <rdieter@fedoraproject.or> - 4.4.0-2
- libs: Requires: kdepimlibs-akonadi (instead of akonadi)

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 4.4.0-1
- 4.4.0

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.98-1
- KDE 4.3.98 (4.4rc3)

* Wed Jan 20 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.3.95-1
- KDE 4.3.95 (4.4rc2)

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-1
- kde-4.3.90 (4.4rc1)

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-1
- kde-4.3.85 (4.4beta2)

* Fri Dec 11 2009 Rex Dieter <rdieter@fedoraproject.org> 4.3.80-4
- BR: shared-desktop-ontologies
- tighten some deps

* Tue Dec 08 2009 Than Ngo <than@redhat.com> - 4.3.80-3
- drop BR kdelibs-experimental-devel

* Fri Dec 04 2009 Than Ngo <than@redhat.com> - 4.3.80-2
- respin

* Tue Dec  1 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.80-1
- KDE 4.4 beta1 (4.3.80)

* Mon Nov 23 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.1.svn1048496
- Update to 4.3.75 snapshot

* Sat Oct 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3

* Mon Oct 05 2009 Than Ngo <than@redhat.com> - 4.3.2-1
- 4.3.2

* Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
- 4.3.1

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 4.3.0-1
- 4.3.0

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Sat Jul 11 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Thu Jul 02 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.95-3
- -devel: Requires: kdepimlibs-devel
- Req: akonadi >= 1.1.95

* Mon Jun 29 2009 Than Ngo <than@redhat.com> - 4.2.95-2
- cleanup

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- first try
